#! /usr/bin/python

from grafik import *

class Reifen:
   def __init__(self,x,y,r):
      k1=TKreis()
      k1.setMPos(x,y)
      k1.setRadius(r)
      k1.setFarbe("grau")
      k1.setFuellfarbe("schwarz")
      k2=TKreis()
      k2.setMPos(x,y)
      k2.setRadius(r*2/3)
      k2.setFarbe("grau")
      k2.setFuellfarbe("grau")
      k3=TKreis()
      k3.setMPos(x,y)
      k3.setRadius(r/10)
      k3.setFarbe("blau")
      k3.setFuellfarbe("blau")
      self.oListe=[k1,k2,k3]

   def zeigen(self):
      for i in self.oListe:
         i.zeigen()
 
   def loeschen(self):
      for i in self.oListe:
         i.loeschen()
 
   def pos_versetzen_um(self,dx,dy):
      for i in self.oListe:
         i.pos_versetzen_um(dx,dy)
 
      
class LKW:
   def __init__(self,x,y,farbe,groesse):
      b=groesse
      h=b/4
      r=h/2
      r1=TRechteck()
      r1.setPos(x,y,x+b,y+h)
      r1.setFarbe(farbe)
      r1.setFuellfarbe(farbe)
      r2=TRechteck()
      r2.setPos(x,y+h,x+b,y+h+h/3)
      r2.setFarbe("rot")
      r2.setFuellfarbe("rot")
      r3=TRechteck()
      r3.setPos(x+b,y-4,x+b+43,y+h+h/3)
      r3.setFarbe("gelb")
      r3.setFuellfarbe("rot")
      r4=TRechteck()
      r4.setPos(x+b+10,y+3,x+b+43,y+23)
      r4.setFarbe("schwarz")
      r4.setFuellfarbe("grau")
      f1=Reifen(x+2*r,y+h+r,r)
      f2=Reifen(x+4*r,y+h+r,r)
      f3=Reifen(x+b+r,y+h+r,r)
      self.oListe=[r1,r2,r3,r4,f1,f2,f3]

   def zeigen(self):
      for i in self.oListe:
         i.zeigen()
 
   def loeschen(self):
      for i in self.oListe:
         i.loeschen()
 
   def pos_versetzen_um(self,dx,dy):
      for i in self.oListe:
         i.pos_versetzen_um(dx,dy)
 
Zeichenblatt.Init("penguin.gif")
mein_LKW=LKW(-300,200,"gelb",120)
mein_LKW.zeigen()
mein_LKW2=LKW(-550,390,"blau",160)
mein_LKW2.zeigen()
for i in range(-300,600):
   mein_LKW.pos_versetzen_um(2,0)
   mein_LKW.zeigen()
   mein_LKW2.pos_versetzen_um(3,0)
   mein_LKW2.zeigen()
   Zeichenblatt.refresh()
# Tkinter.mainloop()
